Bug 829489 - [abrt] florence-0.5.0-4.fc17: xkeyboard_event_handler: Process /usr/bin/florence was killed by signal 11 (SIGSEGV)
[abrt] florence-0.5.0-4.fc17: xkeyboard_event_handler: Process /usr/bin/flore...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: florence (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
abrt_hash:1cd3a38f63c626510a6572770eb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 17:25 EDT by Daniel Demus
Modified: 2013-07-31 18:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.79 KB, text/plain)
2012-06-06 17:25 EDT, Daniel Demus
no flags Details
File: xsession_errors (5.06 KB, text/plain)
2012-06-06 17:25 EDT, Daniel Demus
no flags Details
File: maps (36.39 KB, text/plain)
2012-06-06 17:25 EDT, Daniel Demus
no flags Details
File: dso_list (7.42 KB, text/plain)
2012-06-06 17:25 EDT, Daniel Demus
no flags Details

  None (edit)
Description Daniel Demus 2012-06-06 17:25:16 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        florence
comment:        Switched from danish to russion layout in the panel while florence is visible.
crash_function: xkeyboard_event_handler
executable:     /usr/bin/florence
kernel:         3.3.7-1.fc16.x86_64
pid:            7049
pwd:            /home/demus
time:           2012-06-06T23:18:52 CEST
uid:            1000
username:       demus

backtrace:      Text file, 15144 bytes
dso_list:       Text file, 7596 bytes
maps:           Text file, 37263 bytes
xsession_errors: Text file, 5183 bytes

build_ids:
:261a1e9596d39bff68d3c5257eec6614caae9f0a
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:54a5cc118d928470da13565de8592b664a9868e0
:f6d72221cbd08cb36bb88823d33deb2024f2bee3
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:301bb855a0952a10241e6d7190773fdabf23e383
:b277af36744327e3d58eae76bcdaadcca71a28c6
:7716bc5c1738194dad6ec6679d05ae3782139288
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:6d378b7a7206be10303309b0da0a58a50a5bd4a5
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:85acd05338f799917f1c9d1d0921b110a2026833
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:31243d0d107bba586a96433c76c87a26db1e826c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6947e315f0765bf884ecc222d91945a1e2ed8767
:87712be648d2d43ea4cd002fe7a859df636f1e13
:3d60535f052babb998bae4807bc992c5d15df5c4
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:42675a8ad8f70ff19362070510cdf1ba202a70db
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:127f8958b602715234a02b88adb08afd9e34c203
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd
:508cf66f72e70054a41215f80ed2385c6bb80030
:67792c148d2b8f13f6732c9367e926c26d7376c5
:247132297f287226a24c12e683292f5c94013066
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:4766030df5910bb810d7dfa57df3c74018ffdf52
:d804f8ee47797da9213a92f00cd095ecada8d79f
:822e9b3523e8312240f41a25722d539bc77ed436
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:5668f6ff5d2c7c0ab9c6551cfc481134c7a7b75e
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:f1c49123d06db01a4d1a4749d57f52f01bac8f63
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:1a0c09f270adf8398df4362ce0acfafc1f970982
:f4d479614b09460085428bbe7d53df454d0d39e5
:8f7c190397d7c1f617e66f18f759714662b60367
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:4b044fe80e4c1b69986abc4b160c303048005d4e
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5dd234206476b0387cd251598aa72a2c95c763c5
:b41792f829d7f3777bd23a2fe342a811b5b96b6e
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:b3453387ebb3f1ec604029943375ae2e0f475da7
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/demus/2

core_backtrace:
:- 0x0 - - -
:85acd05338f799917f1c9d1d0921b110a2026833 0x18f70 xkeyboard_event_handler [exe] -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x5ea9e - libgdk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x610f6 - libgdk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x6119e - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:85acd05338f799917f1c9d1d0921b110a2026833 0xc682 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=fedora.demus.dk
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:IMSETTINGS_MODULE=none
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1029
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:SHLVL=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QV2C0iS8YE,guid=a7bf70872d182b68016fd1d400000015
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1033,unix/unix:/tmp/.ICE-unix/1033
:LC_TIME=en_DK.utf8
:LC_NUMERIC=en_DK.utf8
:LC_MONETARY=en_DK.utf8
:LC_MEASUREMENT=en_DK.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/florence.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7049

gconf_subtree:
: /apps/florence/window:
:  decorated = true
:  ypos = 655
:  xpos = 801
:  transparent = true
:  opacity = 64.900000000000006
: /apps/florence/layout:
:  style = /usr/share/florence/styles/default
:  extensions = 
:  file = /usr/share/florence/layouts/florence.xml

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15868                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15868                15868                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/demus/.xsession-errors
:pos:	47131
:flags:	0102002
:2:/home/demus/.xsession-errors
:pos:	47131
:flags:	0102002
:3:socket:[248966]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[248001]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:pipe:[246968]
:pos:	0
:flags:	00
:8:pipe:[246968]
:pos:	0
:flags:	04001
:9:socket:[246969]
:pos:	0
:flags:	02004002
:10:socket:[248002]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: ed2ef5ef-6502-43a7-843f-9cd28d4b0c9d
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 5261.01
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 560  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2630
:System Memory: 2003
:System Swap: 4031
:Vendor: innotek GmbH
:System: VirtualBox 1.2
:Form factor: Unknown
:Kernel: 3.3.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:4110:32902:30) pci, e1000, ETHERNET, PRO/1000 MT Desktop Adapter
:(32902:10281:0:0) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(33006:48879:0:0) pci, None, VIDEO, VirtualBox Graphics Adapter
:(32902:28947:0:0) pci, None, BRIDGE, 82371AB/EB/MB PIIX4 ACPI
:(33006:51966:0:0) pci, None, BASE, VirtualBox Guest Service
:(32902:4663:0:0) pci, None, HOST/PCI, 440FX - 82441FX PMC [Natoma]
:(32902:9237:32902:0) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801AA AC'97 Audio Controller
:(32902:28945:0:0) pci, ata_piix, STORAGE, 82371AB/EB/MB PIIX4 IDE
:(32902:28672:0:0) pci, None, PCI/ISA, 82371SB PIIX3 ISA [Natoma/Triton II]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 5376351 1707616 1437984 1349040 1040516 1040516
:/dev/sda2 /boot ext4 1024 1024 508745 432959 407359 128016 127761 127761
:

var_log_messages:
:Jun  6 23:06:18 fedora yum[6775]: Installed: florence-0.5.0-4.fc17.x86_64
:Jun  6 23:18:52 fedora kernel: [ 2638.698642] florence[7049]: segfault at 0 ip           (null) sp 00007fff0a1e95f8 error 14 in florence[400000+20000]
:Jun  6 23:18:52 fedora abrt[9243]: Saved core dump of pid 7049 (/usr/bin/florence) to /var/spool/abrt/ccpp-2012-06-06-23:18:52-7049 (13582336 bytes)
Comment 1 Daniel Demus 2012-06-06 17:25:20 EDT
Created attachment 590019 [details]
File: backtrace
Comment 2 Daniel Demus 2012-06-06 17:25:22 EDT
Created attachment 590020 [details]
File: xsession_errors
Comment 3 Daniel Demus 2012-06-06 17:25:25 EDT
Created attachment 590021 [details]
File: maps
Comment 4 Daniel Demus 2012-06-06 17:25:27 EDT
Created attachment 590022 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 17:12:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 18:06:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.